# -*- coding: utf-8 -*-
"""
Created on Mon Mar 05 15:00:31 2018

@author: Vikram Khanna
"""
#!/usr/bin/python
import subprocess
import time
import numpy as np 

strt=0

lmb_val=[6.98177409e-04, 3.67500078e-03, 9.01564248e-03, 1.66958448e-02,
       2.66791545e-02, 3.89180316e-02, 5.33541641e-02, 6.99187620e-02,
       8.85328897e-02, 1.09107844e-01, 1.31545576e-01, 1.55739160e-01,
       1.81573303e-01, 2.08924894e-01, 2.37663590e-01, 2.67652438e-01,
       2.98748528e-01, 3.30803673e-01, 3.63665115e-01, 3.97176255e-01,
       4.31177397e-01, 4.65506510e-01, 5.00000000e-01, 5.34493490e-01,
       5.68822603e-01, 6.02823745e-01, 6.36334885e-01, 6.69196327e-01,
       7.01251472e-01, 7.32347562e-01, 7.62336410e-01, 7.91075106e-01,
       8.18426697e-01, 8.44260840e-01, 8.68454424e-01, 8.90892156e-01,
       9.11467110e-01, 9.30081238e-01, 9.46645836e-01, 9.61081968e-01,
       9.73320845e-01, 9.83304155e-01, 9.90984358e-01, 9.96324999e-01,
       9.99301823e-01]
##drVal=np.array([0.11,0.06,0.053])

############################################################
##lmb_val=lmb_val[0:1]
############################################################


len1=len(lmb_val)
folder="TI_Gauss_45"

simFile="ex4.py"

path_1="/home/vikram/COURSES/210D/LJFluidFE_corrected/rho_0.8/T_3.0/%s"%(folder)

path_2="%s/lmbda_pt_"%(path_1)
for l in range(strt+1,strt+(len1+1),1):
    subprocess.call(["mkdir -p %s%d"%(path_2,l)], shell=True, stdout=subprocess.PIPE)
    subprocess.call(["cp -p %s/%s %s%d/%s"%(path_1,simFile,path_2,l,simFile)],cwd=r'%s%d'%(path_2,l),shell=True,stdout=subprocess.PIPE)


    import os
    os.chdir("%s%d"%(path_2,l))
    file1=open("%s"%(simFile),"r")
    lines=file1.read().splitlines()
    file1.close()
    lines[338]="lmbLJ = %s" %(lmb_val[l-1-strt])
    file1=open("%s"%(simFile),"w")
    for j in range(0,len(lines),1):
        file1.write(lines[j]+"\n")
    file1.close()
###################################################################################################################

    job_name="LJF_%d"%(l)
    walltime="20:00:00"
    processors="1" ###NOT USED FOR NOW
    command = "srun python %s"%(simFile)
    job_string = """#!/bin/bash
#SBATCH -N 1 --partition=batch --ntasks-per-node=1
#SBATCH --time=%s
####SBATCH --gres=gpu:v100:1
#SBATCH --job-name=%s

cd $SLURM_SUBMIT_DIR

# This chunk of code will enable you to use the correct python enviroment with OpenMM installed


%s    

    """%(walltime, job_name, command)

    file2=open("submitJob.sh","w")
    file2.write(job_string)
    file2.close()
    os.system("sbatch submitJob.sh")
    time.sleep(5)

###################################################################################################################


  

